/**
 * Copyright (c) 2005-2012 Fossil E-Commerce, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package javax.jbi.messaging;

/**
 * Generic exception used to report messaging related errors in the Normalized
 * Message Router.
 * 
 * @author JSR208 Expert Group
 */
public class MessagingException extends javax.jbi.JBIException{

	/**
     * 
     */
    private static final long serialVersionUID = -3635562738368806136L;

    /**
     * Create a new MessagingException.
     * 
     * @param msg
     *            error detail; must be non-null
     */
	public MessagingException(java.lang.String msg){
		super(msg);		
	}
	
	/**
     * Create a new MessagingException with the specified cause and error text.
     * 
     * @param msg
     *            error detail; must be non-null
     * @param cause
     *            underlying error; may be null
     */
	public MessagingException(java.lang.String msg, java.lang.Throwable cause) {
		super(msg, cause);
	}
	
	/**
     * Create a new MessagingException with the specified cause.
     * 
     * @param cause
     *            underlying error; may be null
     */
	public MessagingException(java.lang.Throwable cause){
		super(cause);		
	}
}
