/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package javax.jbi.management;

import java.lang.reflect.Method;

import javax.jbi.ApiChecker;
import javax.jbi.JBIException;
import javax.management.ObjectName;

import org.junit.Test;
import org.mockito.Mockito;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class InstallerMBeanTest extends ApiChecker {

    InstallerMBean mockInstallerMBean = Mockito.mock(InstallerMBean.class);

    @Test
    public void testGetInstallerConfigurationMBean() throws JBIException {
        @SuppressWarnings("unused")
        ObjectName objectName = mockInstallerMBean.getInstallerConfigurationMBean();
    }

    @Test
    public void testGetInstallerConfigurationMBeanThrowsJBIException() {
        Class<?>[] expectedExceptions = new Class<?>[] { JBIException.class };

        Method method = getTestedClassMethod("getInstallerConfigurationMBean");

        checkMethodThrowsExpectedExceptions(method, expectedExceptions);
    }

    @Test
    public void testGetInstallRoot() {
        @SuppressWarnings("unused")
        String string = mockInstallerMBean.getInstallRoot();
    }

    @Test
    public void testInstall() throws JBIException {
        @SuppressWarnings("unused")
        ObjectName objectName = mockInstallerMBean.install();
    }

    @Test
    public void testInstallThrowsJBIException() {
        Class<?>[] expectedExceptions = new Class<?>[] { JBIException.class };

        Method method = getTestedClassMethod("install");

        checkMethodThrowsExpectedExceptions(method, expectedExceptions);
    }

    @Test
    public void testIsInstalled() {
        @SuppressWarnings("unused")
        boolean b = mockInstallerMBean.isInstalled();
    }

    @Test
    public void testUninstall() throws JBIException {
        mockInstallerMBean.uninstall();
    }

    @Test
    public void testUninstallThrowsJBIException() {
        Class<?>[] expectedExceptions = new Class<?>[] { JBIException.class };

        Method method = getTestedClassMethod("uninstall");

        checkMethodThrowsExpectedExceptions(method, expectedExceptions);
    }

    @Override
    protected Class<?> getTestedApiClass() {
        return InstallerMBean.class;
    }

}
