/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package javax.jbi.management;

import javax.management.ObjectName;

import junit.framework.Assert;

import org.junit.Test;
import org.mockito.Mockito;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class MBeanNamesTest {

    MBeanNames mockMBeanNames = Mockito.mock(MBeanNames.class);

    @Test
 	public void testCreateCustomComponentMBeanName() {
        @SuppressWarnings("unused")
        ObjectName objectName = mockMBeanNames.createCustomComponentMBeanName("");
    }

    @Test
 	public void testGetJmxDomainName() {
        @SuppressWarnings("unused")
        String string = mockMBeanNames.getJmxDomainName();
    }
    
    @Test
 	public void testDeclaredConstants(){
        Assert.assertEquals("BootstrapExtension",MBeanNames.BOOTSTRAP_EXTENSION);
        Assert.assertEquals("LifeCycleExtension",MBeanNames.COMPONENT_LIFE_CYCLE_EXTENSION);
    }

}
