/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package javax.jbi.messaging;

import java.lang.reflect.Method;

import org.junit.Test;
import org.mockito.Mockito;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class InOptionalOutTest extends InOnlyTest {

    InOptionalOut mockInOptionalOut = Mockito.mock(InOptionalOut.class);

    private NormalizedMessage mockNormalizedMessage = Mockito.mock(NormalizedMessage.class);

    @Test
    public void testGetOutMessage() {
        @SuppressWarnings("unused")
        NormalizedMessage normalizedMessage = mockInOptionalOut.getOutMessage();
    }

    @Test
    public void testSetOutMessage() throws MessagingException {
        mockInOptionalOut.setOutMessage(mockNormalizedMessage);
    }

    @Test
    public void testSetOutMessageThrowsMessagingException() {
        Class<?>[] expectedExceptions = new Class<?>[] { MessagingException.class };

        Method method = getTestedClassMethod("setOutMessage", NormalizedMessage.class);

        checkMethodThrowsExpectedExceptions(method, expectedExceptions);
    }

    @Override
    protected Class<?> getTestedApiClass() {
        return InOptionalOut.class;
    }

}
